package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/9/12
 */
public class StudentAttendanceQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "学生ID",required = false)
    private Integer studentID;
    
    @ApiModelProperty(value = "老师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "乐团ID")
    private Long musicGroupId;
    
    @ApiModelProperty(value = "课程组类型")
    private String groupType;
    
    @ApiModelProperty(value = "课程类型")
    private String courseScheduleType;
    
    @ApiModelProperty(value = "班级ID")
    private Long classGroupId;

    @ApiModelProperty(value = "课程ID")
    private Long courseScheduleId;

    @ApiModelProperty(value = "状态（正常、旷课、请假、休学）",required = false)
    private StudentAttendanceStatusEnum status;
    
    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "过滤状态")
    private StudentAttendanceStatusEnum filterStatus;
    
    @ApiModelProperty(value = "课程开始时间")
    private Date startDateOfCourse;
    
    @ApiModelProperty(value = "课程结束时间")
    private Date endDateOfCourse;

    @ApiModelProperty(value = "分部")
    private String organId;

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public StudentAttendanceStatusEnum getFilterStatus() {
        return filterStatus;
    }

    public void setFilterStatus(StudentAttendanceStatusEnum filterStatus) {
        this.filterStatus = filterStatus;
    }

    public Integer getStudentID() {
		return studentID;
	}

	public void setStudentID(Integer studentID) {
		this.studentID = studentID;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public String getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(String courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getGroupType() {
		return groupType;
	}

	public void setGroupType(String groupType) {
		this.groupType = groupType;
	}

	public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public StudentAttendanceStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StudentAttendanceStatusEnum status) {
        this.status = status;
    }

	public CourseStatusEnum getCourseStatus() {
		return courseStatus;
	}

	public void setCourseStatus(CourseStatusEnum courseStatus) {
		this.courseStatus = courseStatus;
	}

	public Date getStartDateOfCourse() {
		return startDateOfCourse;
	}

	public void setStartDateOfCourse(Date startDateOfCourse) {
		this.startDateOfCourse = startDateOfCourse;
	}

	public Date getEndDateOfCourse() {
		return endDateOfCourse;
	}

	public void setEndDateOfCourse(Date endDateOfCourse) {
		this.endDateOfCourse = endDateOfCourse;
	}

	public String getOrganId() {
		return organId;
	}

	public void setOrganId(String organId) {
		this.organId = organId;
	}
}
